# Author:: Gerhard Spitzlsperger
# EMAIL and WWW:: ruby@gs68.de, www.gs68.de
# Copyright:: Copyright (c) 2003 Gerhard Spitzlsperger. All rights reserved.
# License:: LGPL see file LICENSE.
# Version 0.1


module GS_Physics

# Electron Mass (kg)
ME = 9.10953e-31

#Boltzmann constant (CV/K)
KB = 1.3809e-23

# Permeability in Vacuum (F/m)
EPS_0 = 8.854e-12

# Plancks Constant (J s)
H = 6.62618e-34
H_BAR = H / (2*Math::PI)

# Unit Charge (C)
Q = 1.602189e-19

# unit conversion routines
def eV2J(x)
  x*Q
end  

end